> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete notification



## OpenAPI

````yaml delete /v1/notifications/{id}
openapi: 3.0.0
info:
  title: Notification APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com
  - url: https://staging.api.us.aptlydone.com/notification
  - url: https://api.us.aptlydone.com
  - url: https://api.us.aptlydone.com/notification
security: []
tags: []
paths:
  /v1/notifications/{id}:
    delete:
      tags:
        - notifications
      summary: Delete notification
      operationId: NotificationController_deleteNotification_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Notification deleted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationDeleteResponseDtoResponse'
      security:
        - accessToken: []
components:
  schemas:
    NotificationDeleteResponseDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-12T09:08:08.140Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          allOf:
            - $ref: '#/components/schemas/NotificationDeleteResponseDto'
      required:
        - statusCode
        - timestamp
        - message
        - data
    NotificationDeleteResponseDto:
      type: object
      properties:
        success:
          type: boolean
          description: Indicates whether the deletion was successful
          example: true
      required:
        - success
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````